plugins {
    id 'java-library'
    id 'org.jetbrains.kotlin.jvm'
    id 'org.jetbrains.kotlin.plugin.serialization'
    id "org.jetbrains.kotlinx.kover"
}

dependencies {
    implementation project(':core:events')
    implementation project(':core:context')
    implementation project(':core:inference')
    implementation project(':core:sessions')
    implementation "org.slf4j:slf4j-api:2.0.16"
}

tasks.named("koverVerify").configure {
    enabled = false
}
